Skip to content

Services

All operations require authentication.

4 operationsv1/domain/zone
Agent setup

List DNS zonesProduction

GET
/1.0/domain/zone

Returns the names of the DNS zones.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a DNS zoneProduction

GET
/1.0/domain/zone/{zoneName}

Returns a DNS zone: name servers, last update date, and whether DNSSEC and DNS Anycast are active.

Path parameters

zoneName
required
string

Zone name

Response

200ZoneWithIAMsuccessful operation
dnssecActivated
read-only
boolean

Is DNSSEC activated for this zone

dnssecSupported
read-only
boolean

Is DNSSEC supported by this zone

hasDnsAnycast
read-only
boolean

Whether the DNS zone has a DNS Anycast subscription

iam
read-only
ResourceMetadata

IAM resource metadata

lastUpdate
read-only
stringdate-time

Last update date of the DNS zone

name
read-only
string

Zone name

nameServers
read-only
string[]

Name servers that host the DNS zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dnssecActivated": true, "dnssecSupported": true, "hasDnsAnycast": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "nameServers": [ "string" ]}

Get the zone statusProduction

GET
/1.0/domain/zone/{zoneName}/status

Returns whether the zone is deployed, with its errors and warnings.

Path parameters

zoneName
required
string

Zone name

Response

200Statussuccessful operation
errors
read-only
string[]

Error list if any

isDeployed
read-only
boolean

Whether the zone is deployed or not

warnings
read-only
string[]

Warning list if any

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ "string" ], "isDeployed": true, "warnings": [ "string" ]}

Get the zone capabilitiesProduction

GET
/1.0/domain/zone/{zoneName}/capabilities

Returns whether DynHost is available for the zone.

Path parameters

zoneName
required
string

Zone name

Response

200Capabilitiessuccessful operation
dynHost
read-only
boolean

True if dynHost available for this zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/capabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dynHost": true}